Corrupt Rated 1 out of 5 stars

Unable to download as it "appears to be corrupt"...

This review is for a previous version of the add-on (1.19.3). 

Are you able to provide the version number of the Firefox/Thunderbird software you were trying to install this to? Also, were you trying to install it to an add-on called Postbox?